#include "WR_Bind.h"
#include "WR_Connection.h"
#include "SmppBindResp.h"

WR_Bind::WR_Bind()
{
}

WR_Bind::~WR_Bind()
{
}

int WR_Bind::Process ( void* conn )
{
    PAMETHODENTRY;

    WR_Connection*	smppCon = ( WR_Connection* ) conn;
    SmppBindResp*	sbr = new SmppBindResp();
    paCountAlloc (sbr);

    SmppError commandStatus;
    commandStatus.SetError ( 0 );

    sbr->Initialize(mSequenceNumber, smppCon->GetSystemId(), commandStatus, mBindType, mInterfaceVersion);

    smppCon->Send ( sbr, NULL, true ); 

    PAMETHODRETURN ( 0 );
}
