#include "WordReplacementRule.h"

WordReplacementRule::WordReplacementRule()
        : SimpleManagedObject()
{
    mMatchCount.SetMonitoringName ("MatchCount");
}


WordReplacementRule::~WordReplacementRule()
{
}

int WordReplacementRule::SetConfigParameter ( const string& name, const string& value )
{
    int r = 0;

    if ( name == "OriginalWord" )
        mOriginalWord = value;
    else if ( name == "NewWord" )
        mNewWord = value;
    else
        r = SimpleManagedObject::SetConfigParameter ( name, value );

    return r;
}

const string& WordReplacementRule::GetNewWord()
{
    return mNewWord;
}

void WordReplacementRule::GetMonitoringVariables ( vector<MonitoringVariable>& mvl )
{
	mvl.push_back (mMatchCount);
}

