#ifndef WORD_REPLACEMENT_RULE_H
#define WORD_REPLACEMENT_RULE_H

#include "SimpleManagedObject.h"

class WordReplacementRule : public SimpleManagedObject
{
    public:
        WordReplacementRule();
        virtual ~WordReplacementRule();

    public:
        virtual int SetConfigParameter ( const string& name, const string& value );
  	virtual void GetMonitoringVariables ( vector<MonitoringVariable>& mvl );

        const string& GetNewWord();

    public:
	MonitoringVariable	mMatchCount;

    private:
        string mOriginalWord;
        string mNewWord;
};

#endif
