#include "WR_ExternalClientsTable.h"
#include "WR_ExternalClient.h"

WR_ExternalClientsTable::WR_ExternalClientsTable()
    : PA_ExternalClientsTable()
{
}

WR_ExternalClientsTable::~WR_ExternalClientsTable()
{
}

IManagedObject* WR_ExternalClientsTable::CreateManagedObject ( const string& nodeName )
{
    IManagedObject* obj=NULL;

    if ( nodeName == "ExternalClient" )
    {
        WR_ExternalClient *wrec = new WR_ExternalClient();
        paCountAlloc (wrec);
	wrec->SetWordReplacerOid ( mWordReplacerOid );
        obj = wrec;
    }
    else
    {
        obj = PA_ExternalClientsTable::CreateManagedObject ( nodeName );
    }

    return obj;
}

void WR_ExternalClientsTable::SetWordReplacerOid ( ManagedObjectId oid )
{
    mWordReplacerOid = oid;
}
