#ifndef WORD_REPLACER_MANEGED_OBJECTS_AGENT_H
#define WORD_REPLACER_MANEGED_OBJECTS_AGENT_H

#include "ManagedObjectServer.h"
#include "WordReplacer.h"
#include "WR_ExternalClient.h"

class WR_Moa : public ManagedObjectServer
{
	public:
		WR_Moa()
		{
		}

		virtual ~WR_Moa()
		{
		}

		IManagedObject* CreateManagedObject ( const string& nodeName )
		{
			paDebug ( PADBG_INFO, "CreateManagedObject called with parameter nodeName=%s", nodeName.c_str() );

			IManagedObject* obj = NULL;

			if ( nodeName == "WordReplacer" )
			{
				obj = new WordReplacer();
				paCountAlloc (obj);
			}
			else
			{
				obj = ManagedObjectServer::CreateManagedObject(nodeName);
			}

			return obj;
		}	
};

#endif

