#include "WordReplacementRulesList.h"
#include "WordReplacementRule.h"

WordReplacementRulesList::WordReplacementRulesList()
        : TabularManagedObject()
{
}

WordReplacementRulesList::~WordReplacementRulesList()
{
}

IManagedObject* WordReplacementRulesList::CreateManagedObject ( const string& nodeName )
{
    IManagedObject* obj = NULL;

    if ( nodeName == "WordReplacementRule" )
    {
        obj = new WordReplacementRule;
    }
    else
    {
        obj = TabularManagedObject::CreateManagedObject ( nodeName );
    }
    return obj;
}


